Bug 1476350 - [RFE] Support for Atomic as the host OS in Ironic
[RFE] Support for Atomic as the host OS in Ironic
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
medium Severity medium
: Upstream M1
: ---
Assigned To: Dmitry Tantsur
mlammon
: FutureFeature, TestOnly, ZStream
Depends On:
Blocks: 1419948 1458798
  Show dependency treegraph
 
Reported: 2017-07-28 12:53 EDT by John H Terpstra
Modified: 2018-01-12 14:58 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John H Terpstra 2017-07-28 12:53:44 EDT
Description of problem:

Split stack support - Support for Atomic as the host OS in a compute node which may create a scheduling class of ‘bare metal only’.
Comment 1 Jaromir Coufal 2017-08-01 16:21:45 EDT
Can we get more information, background and use cases for this request?
Comment 2 John H Terpstra 2017-08-02 12:33:38 EDT
This feature request is to enable deployment of OpenShift Containers onto bare-metal in place of deployment onto VMs (OCP Application Nodes).  In other words:  We are requesting the ability to create a bare-metal OCP application node as an alternative to VM Application nodes.
Comment 10 Dmitry Tantsur 2017-10-23 05:15:37 EDT
Hi! I assume that this is TestOnly, as all features should be in place already, and I'm aware of people trying Atomic with ironic. Note that Atomic images are whole-disk, not partition.

Upstream documentation for baremetal in the overcloud: http://tripleo.org/install/advanced_deployment/baremetal_overcloud.html
Comment 11 Ramon Acedo 2017-10-23 06:15:23 EDT
Thanks Dmitry, yes this is TestOnly and we'll need to QA it.
Comment 12 Ramon Acedo 2017-10-23 06:22:42 EDT
Changing title to make it clear that we'll be testing booting an Atomic image to be able to add it to the list of supported OSs here: https://access.redhat.com/articles/2857581
Comment 17 mlammon 2018-01-02 10:56:07 EST
This has been verified booting atomic image
Comment 18 Bob Fournier 2018-01-10 15:06:20 EST
This was actually tested against OSP-12 so changing the flags.

Note You need to log in before you can comment on or make changes to this bug.